Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util
Class Neuroph

    java.lang.Object
      org.neuroph.util.Neuroph

    public class Neuroph

extends Object

This singleton holds global settings for the whole framework

Author:
  Jeff Heaton

Constructor Summary
`Neuroph()`

Method Summary
`ArrayList<String>` | `getInputFunctions()`
`static Neuroph` | `getInstance()`
`ArrayList<String>` | `getLayers()`
`ArrayList<String>` | `getLearningRules()`
`ArrayList<String>` | `getNeurons()`
`ArrayList<String>` | `getTransferFunctions()`
`void` | `setFlattenNetworks(boolean flattenNetworks)` Turn on/off flat networ support from Encog
`boolean` | `shouldFlattenNetworks()` Get setting for flatten network (from Encog engine)
`void` | `shutdown()` Shuts down the Encog engine

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Neuroph

    public Neuroph()

Method Detail

### getInstance

    public static Neuroph getInstance()

### shouldFlattenNetworks

    public boolean shouldFlattenNetworks()

  Get setting for flatten network (from Encog engine)

  Returns:
    the flattenNetworks

### setFlattenNetworks

    public void setFlattenNetworks(boolean flattenNetworks)

  Turn on/off flat networ support from Encog

  Parameters:
    `flattenNetworks` - the flattenNetworks to set

### shutdown

    public void shutdown()

  Shuts down the Encog engine

### getInputFunctions

    public ArrayList<String> getInputFunctions()

### getTransferFunctions

    public ArrayList<String> getTransferFunctions()

### getNeurons

    public ArrayList<String> getNeurons()

### getLayers

    public ArrayList<String> getLayers()

### getLearningRules

    public ArrayList<String> getLearningRules()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.